/*
 * FeatureList - simple and easy creation of an interactive "Featured Items" widget
 * Examples and documentation at: http://jqueryglobe.com/article/feature_list/
 * Version: 1.0.0 (01/09/2009)
 * Copyright (c) 2009 jQueryGlobe
 * Licensed under the MIT License: http://en.wikipedia.org/wiki/MIT_License
 * Requires: jQuery v1.3+
 * Fix: aeolux 20110302
*/
;(function($) {
	$.fn.featureList = function(options) {
		var tabs	= $(this);
		var output	= $(options.output);

		new jQuery.featureList(tabs, output, options);

		return this;	
	};

	$.featureList = function(tabs, output, options) {
		function slide(nr) {
			if (typeof nr == "undefined") {
				nr = visible_item + 1;
				nr = nr >= total_items ? 0 : nr;
			}

			tabs.removeClass('current').filter(":eq(" + nr + ")").addClass('current');
			output.stop(true, true).filter(":visible").fadeOut();
			output.parent().height(output.filter(":eq(" + nr + ")").outerHeight(true));//20100906 aeolux 解决平滑显示下不同高度的撑开定位
			output.filter(":eq(" + nr + ")").fadeIn(function() {
				visible_item = nr;
			});
		}

		var options			= options || {}; 
		var total_items		= tabs.length;
		var visible_item	= options.start_item || 0;
//		alert(visible_item);
//		options.restart		= options.restart		|| false;//20110302 aeolux 是否初始状态的的开关
		options.mouseover		= options.mouseover		|| false;//20110302 aeolux 加一个鼠标浮动切换和点击切换的开关
		options.pause_on_hover		= options.pause_on_hover		|| true;
		options.transition_interval = options.transition_interval == null ? 5000 : options.transition_interval;
//		options.transition_interval	= options.transition_interval	|| 5000;//自动前后切换，初始5000，0为不切换;如上修改就可以传0了

		output.hide().eq( visible_item ).show();
		tabs.eq( visible_item ).addClass('current');
		output.parent().height(output.eq( visible_item ).outerHeight(true));//20100906 aeolux 解决平滑显示下不同高度的撑开定位

		if(options.mouseover){//20110302 aeolux 加一个鼠标浮动切换和点击切换的开关
			tabs.mouseenter(function() {
				if ($(this).hasClass('current')) {
					return false;	
				}
				slide( tabs.index( this) );
			});
			
		}else{
			tabs.click(function() {
				if ($(this).hasClass('current')) {
					return false;	
				}
				slide( tabs.index( this) );
			});
		}
		
		
					
		if (options.transition_interval > 0) {
			var timer = setInterval(function () {
				slide();
			}, options.transition_interval);

			if (options.pause_on_hover) {
				tabs.mouseenter(function() {
					clearInterval( timer );

				}).mouseleave(function() {
					clearInterval( timer );
					timer = setInterval(function () {
						slide();
					}, options.transition_interval);
				});
				//20101124 aeolux 鼠标悬停内容区也暂停切换
				output.mouseenter(function() {
					clearInterval( timer );

				}).mouseleave(function() {
					clearInterval( timer );
					timer = setInterval(function () {
						slide();
					}, options.transition_interval);
				});
			}
		}
	};
})(jQuery);